Services & Providers¶
Endpoints related to services & providers.
- GET /service-provider/¶
List all of the service-provider in the system for your account.
List all of the service-provider in the system for your account.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested service provider cannot be found.
400 Bad Request – The value of bureau appears to be an invalid bureau. BureauMismatchError: There is a mismatch in the bureau and the bureau of service provider in the payload.
403 Forbidden – You are not authorized to complete the request.
- POST /service-provider/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested service provider cannot be found.
400 Bad Request – The value of bureau appears to be an invalid bureau. BureauMismatchError: There is a mismatch in the bureau and the bureau of service provider in the payload.
403 Forbidden – You are not authorized to complete the request.
- Response Headers:
Location – URI of the created resource
- GET /service-provider/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested service provider cannot be found.
400 Bad Request – The value of bureau appears to be an invalid bureau. BureauMismatchError: There is a mismatch in the bureau and the bureau of service provider in the payload.
403 Forbidden – You are not authorized to complete the request.
- PUT /service-provider/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested service provider cannot be found.
400 Bad Request – The value of bureau appears to be an invalid bureau. BureauMismatchError: There is a mismatch in the bureau and the bureau of service provider in the payload.
403 Forbidden – You are not authorized to complete the request.
- DELETE /service-provider/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested service provider cannot be found.
400 Bad Request – The value of bureau appears to be an invalid bureau. BureauMismatchError: There is a mismatch in the bureau and the bureau of service provider in the payload.
403 Forbidden – You are not authorized to complete the request.
- GET /guideline/named-expression/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested named_expression cannot be found.
- POST /guideline/named-expression/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested named_expression cannot be found.
- Response Headers:
Location – URI of the created resource
- GET /guideline/named-expression/{uuid}/¶
Get a single named_expression by UUID.
Get a single named_expression by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested named_expression cannot be found.
- PUT /guideline/named-expression/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested named_expression cannot be found.
- GET /guideline/for-line-item/<uuid:line_item_uuid>/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
- POST /guideline/for-line-item/<uuid:line_item_uuid>/¶
- Status Codes:
201 Created – Resource created successfully
- Response Headers:
Location – URI of the created resource
- GET /guideline/for-line-item/<uuid:line_item_uuid>/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
- PUT /guideline/for-line-item/<uuid:line_item_uuid>/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
- GET /guideline/comparator/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested comparator cannot be found.
- POST /guideline/comparator/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested comparator cannot be found.
- Response Headers:
Location – URI of the created resource
- GET /guideline/comparator/{uuid}/¶
Get a single comparator by UUID.
Get a single comparator by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested comparator cannot be found.
- PUT /guideline/comparator/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested comparator cannot be found.
- GET /guideline/for-work-instruction/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested guideline cannot be found.
400 Bad Request – The requested guideline name already exists
- POST /guideline/for-work-instruction/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested guideline cannot be found.
400 Bad Request – The requested guideline name already exists
- Response Headers:
Location – URI of the created resource
- GET /guideline/for-work-instruction/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested guideline cannot be found.
400 Bad Request – The requested guideline name already exists
- PUT /guideline/for-work-instruction/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested guideline cannot be found.
400 Bad Request – The requested guideline name already exists
- DELETE /guideline/for-work-instruction/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested guideline cannot be found.
400 Bad Request – The requested guideline name already exists
- GET /service-provider/v1/order/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – RecordNotFound
403 Forbidden – Unauthorized
- POST /service-provider/v1/order/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – RecordNotFound
403 Forbidden – Unauthorized
- Response Headers:
Location – URI of the created resource
- GET /service-provider/v1/order/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – RecordNotFound
403 Forbidden – Unauthorized
- PUT /service-provider/v1/order/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – RecordNotFound
403 Forbidden – Unauthorized
- DELETE /service-provider/v1/order/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – RecordNotFound
403 Forbidden – Unauthorized
- POST /guideline/expression/¶
- Status Codes:
201 Created – Resource created successfully
- Response Headers:
Location – URI of the created resource
- GET /guideline/expression/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
- PUT /guideline/expression/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
- GET /service-provider/v1/line-item/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – RecordNotFound
403 Forbidden – Unauthorized
- POST /service-provider/v1/line-item/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – RecordNotFound
403 Forbidden – Unauthorized
- Response Headers:
Location – URI of the created resource
- GET /service-provider/v1/line-item/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – RecordNotFound
403 Forbidden – Unauthorized
- PUT /service-provider/v1/line-item/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – RecordNotFound
403 Forbidden – Unauthorized
- DELETE /service-provider/v1/line-item/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – RecordNotFound
403 Forbidden – Unauthorized
- GET /guideline/for-process-step/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested guideline cannot be found.
400 Bad Request – The requested guideline name already exists
- POST /guideline/for-process-step/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested guideline cannot be found.
400 Bad Request – The requested guideline name already exists
- Response Headers:
Location – URI of the created resource
- GET /guideline/for-process-step/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested guideline cannot be found.
400 Bad Request – The requested guideline name already exists
- PUT /guideline/for-process-step/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested guideline cannot be found.
400 Bad Request – The requested guideline name already exists
- DELETE /guideline/for-process-step/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested guideline cannot be found.
400 Bad Request – The requested guideline name already exists